Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1596472 - [DOCS] Update Scheduler Docs
Summary: [DOCS] Update Scheduler Docs
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation
Version: 3.9.0
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
: ---
Assignee: Michael Burke
QA Contact: Vikram Goyal
Vikram Goyal
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-06-29 05:15 UTC by Vikram Goyal
Modified: 2018-08-02 15:15 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-02 15:15:13 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Vikram Goyal 2018-06-29 05:15:17 UTC
email via - Jorge Luis Tudela Gonzalez de Riancho

The scheduler doc topic [1] contains some bad examples and inaccurate statements.
I can point you to the most obvious ones, but someone from Engineering should deeply review this. 

You can follow this thread in the [openshift-sme], to have more context:
OCP 3.7 Scheduler: rack & chassis topology aware

I think these fine folks from Engineering can help you with this:
Avesh Agarwal <avagarwa@redhat.com>,
Seth Jennings sjenning@redhat.com
Derek Carr decarr@redhat.com
Avesh Agarwal avagarwa@redhat.com

Wrong statements or examples that I can tell:
Predicates [3] are boolean functions, they return true/false. The example is wrong, it does not make sense to have a weigh in a predicate.  Both ServiceAffinity and LabelsPresence Configurable Predicates examples are wrong.
Configurable priorities [4] examples are wrong.
They apply only to one label. So label must be in singular "label", not "labels"
Weight can be any positive value. It does not need to range between 0 and 10. Actually, in [5] you can see a default weight of 10000 in a function.

Also, it would be nice to include things that may change or be deprecated soon, or that they just don't work [2]. Be ready to make more changes in the future...for example,
due to [2], most of the examples of [7] are not accurate anymore.

Thanks a lot.

Cheers!!

ps: All of this comes from this Support Case [7], in case you are wondering:


[1] https://docs.openshift.org/latest/admin_guide/scheduling/scheduler.html#admin-guide-scheduler
[2] https://access.redhat.com/solutions/3432401
[3] https://docs.openshift.com/container-platform/3.9/admin_guide/scheduling/scheduler.html#configurable-predicates
[4] https://docs.openshift.com/container-platform/3.9/admin_guide/scheduling/scheduler.html#configurable-priority-functions
[5] https://docs.openshift.com/container-platform/3.9/admin_guide/scheduling/scheduler.html#default-priorities
[6] https://docs.openshift.com/container-platform/3.9/admin_guide/scheduling/scheduler.html#scheduler-sample-policies
[7] https://access.redhat.com/support/cases/#/case/02121152

Comment 3 Michael Burke 2018-07-30 16:39:27 UTC
Weiwei PTAL

Comment 4 weiwei jiang 2018-08-01 02:52:32 UTC
Added comments to the PR directly

Comment 5 Michael Burke 2018-08-01 18:07:12 UTC
@weiwei -- I made the changes you suggested in the PR and Avesh approved my changes. If you have any concerns with my changes, let me know and I can fix through a new PR.


Note You need to log in before you can comment on or make changes to this bug.